/portal/organizationGet organization
Returns public organization info for the portal by its short-id or id
Query Parameters
invitationTokenstringoptional Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/portal/organization?organizationId=string' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
shortIdstringrequired minLength: 5
maxLength: 5
Additional properties are not allowed.
namestringrequired minLength: 1
maxLength: 120
Additional properties are not allowed.
Additional properties are not allowed.
stripeAccountstringrequired newCRMModestringrequired Options:
notAvailableavailablereplacemigratedAtstring | nulloptional Additional properties are not allowed.
Response
{
"_id": "000000000000000000000001",
"shortId": "string",
"avatar": {
"resource": "string"
},
"name": "string",
"brand": {
"backgroundColor": "string",
"textColor": "string"
},
"address": {
"country": "string",
"zip": "string",
"city": "string",
"addressLine": "string"
},
"stripeAccount": "string",
"newCRMMode": "notAvailable"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}